This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 830740 - xulrunner v13.0-1 update causes segfault in Azureus/Vuze
xulrunner v13.0-1 update causes segfault in Azureus/Vuze
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 06:26 EDT by Andy Blanchard
Modified: 2013-02-13 03:27 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:27:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
JRE error report (71.17 KB, text/plain)
2012-06-11 06:29 EDT, Andy Blanchard
no flags Details

  None (edit)
Description Andy Blanchard 2012-06-11 06:26:28 EDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20100101 Firefox/13.0
Build Identifier: 

Following an update to Firefox v13 (including xulrunner v13) Vuze segfaults when trying to open a torrent file or magnet link.  The crash occurs immediately after confirming the files to be downloaded, regardless of whether a file or magnet was used to select the torrent.

Problem occurs with both the latest IcedTea JDK (java-1.6.0-openjdk-1.6.0.0-65.1.11.1) and Oracle JRE (1.6.0_31-fcs) JVMs.  Reverting to Firefox and xulrunner v12.0 enables Vuze to run correctly.

Reproducible: Always

Steps to Reproduce:
1. Start Vuze
2. Open a torrent file/magnet URL
3. Confirm the files to be downloaded
4. Vuze exits with error message on console & error report in /tmp/
Actual Results:  
Vuze exits with error message on console & error report in /tmp/

Expected Results:  
Added the torrent to the download window and started downloading files.
Comment 1 Martin Stransky 2012-06-11 06:28:38 EDT
Can you please attach a bactrace of the crash? (https://fedoraproject.org/wiki/StackTraces#Firefox)
Comment 2 Andy Blanchard 2012-06-11 06:29:31 EDT
Created attachment 590889 [details]
JRE error report

Sample error report from Azureus/Vuze following crash.
Comment 3 Martin Stransky 2012-06-11 06:33:05 EDT
It's not a firefox crash...
Comment 4 Deepak Bhole 2012-06-11 10:14:44 EDT
Looks like an swt issue. Re-assigning.
Comment 5 Alexander Kurtakov 2012-06-11 10:41:20 EDT
Is this vuze/azureus from Fedora rpm installed? Log is telling me the opposite but just to double check. If not why don't you use it?
Upstream SWT have problems with xulrunner 1.9+ (no api/abi) and swt is fedora is defaulting to webkit. Whenever one decides to use swt with xulrunner this is the end result always - if it was me I would have even removed xulrunner support from swt in general it never works and causes only problems. 
An easy way to test whether it works with xulrunner is to pass -Dorg.eclipse.swt.browser.DefaultType=webkit to the vuze startup script.
Comment 6 Andy Blanchard 2012-06-11 11:14:04 EDT
Started seeing the problem with the Fedora RPM, so tried installing from latest release tarball (v4.7.0.2, vs. the RPM v4.6.0.4).  The same problem is experienced with both the RPM and tarball versions, with identical symptoms.

It's all been working fine until the Firefox/xulrunner v13 update, so whatever caused the bug to manifest itself is presumably a change in the v13 packages, although I get your point about the underlying cause being with Vuze.

Not quite sure how to pass "-Dorg.eclipse.swt.browser.DefaultType=webkit" to vuze though; whatever I try, it's attempting to open a file with that name...
Comment 7 Fedora End Of Life 2013-01-16 05:08:49 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 03:27:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.